<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <include
        android:id="@+id/toolbar_include"
        layout="@layout/common_toolbar_layout" />


    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">


            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_15"
                android:background="@color/white">

                <com.cooleshow.base.widgets.QMUIRadiusImageView
                    android:id="@+id/iv_portrait"
                    app:qmui_corner_radius="5dp"
                    android:layout_width="@dimen/dp_60"
                    android:layout_height="@dimen/dp_60"
                    android:layout_marginStart="@dimen/dp_15"
                    android:layout_marginTop="@dimen/dp_15"
                    android:layout_marginBottom="@dimen/dp_15"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:id="@+id/tv_group_name"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_11"
                    android:layout_marginEnd="@dimen/dp_15"
                    android:textColor="@color/color_1a1a1a"
                    android:textSize="@dimen/dp_18"
                    android:layout_marginTop="@dimen/dp_8"
                    app:layout_constraintBottom_toTopOf="@id/tv_class_num"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toEndOf="@id/iv_portrait"
                    app:layout_constraintTop_toTopOf="@id/iv_portrait" />

                <TextView
                    android:id="@+id/tv_class_num"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_11"
                    android:layout_marginEnd="@dimen/dp_15"
                    android:text=""
                    android:textColor="#8A8A8A"
                    android:textSize="@dimen/dp_14"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toEndOf="@id/iv_portrait"
                    app:layout_constraintTop_toBottomOf="@id/tv_group_name" />
            </androidx.constraintlayout.widget.ConstraintLayout>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:layout_marginTop="@dimen/dp_15"
                android:background="@color/white"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:gravity="center_vertical"
                    android:paddingLeft="@dimen/dp_15"
                    android:text="查看联系人"
                    android:textColor="@color/color_1a1a1a"
                    android:textSize="@dimen/dp_16" />

                <TextView
                    android:id="@+id/tv_group_member_list"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:background="@color/transparent"
                    android:drawableEnd="@drawable/icon_arrow_right"
                    android:drawablePadding="@dimen/dp_12"
                    android:gravity="center_vertical|right"
                    android:paddingLeft="@dimen/dp_15"
                    android:paddingRight="@dimen/dp_15"
                    android:singleLine="true"
                    android:text=""
                    android:textColor="@color/color_666666"
                    android:textSize="@dimen/dp_16" />
            </LinearLayout>

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/recyclerView"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/white"
                android:scrollbars="none" />

            <LinearLayout
                android:id="@+id/ll_chat_join_apply"
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:layout_marginTop="@dimen/dp_15"
                android:background="@color/white"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:gravity="center_vertical"
                    android:paddingLeft="@dimen/dp_15"
                    android:text="入群申请"
                    android:textColor="@color/color_1a1a1a"
                    android:textSize="@dimen/dp_16" />

                <TextView
                    android:id="@+id/tv_group_apply_count"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:background="@color/transparent"
                    android:drawableEnd="@drawable/icon_arrow_right"
                    android:drawablePadding="@dimen/dp_12"
                    android:gravity="center_vertical|right"
                    android:paddingLeft="@dimen/dp_15"
                    android:paddingRight="@dimen/dp_15"
                    android:singleLine="true"
                    android:textColor="@color/color_666666"
                    android:textSize="@dimen/dp_16" />
            </LinearLayout>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:layout_marginTop="@dimen/dp_1"
                android:background="@color/white"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:gravity="center_vertical"
                    android:paddingLeft="@dimen/dp_15"
                    android:text="群名称"
                    android:textColor="@color/color_1a1a1a"
                    android:textSize="@dimen/dp_16" />

                <TextView
                    android:id="@+id/tv_group_name_remarks"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:background="@color/transparent"
                    android:drawableEnd="@drawable/icon_arrow_right"
                    android:drawablePadding="@dimen/dp_12"
                    android:gravity="center_vertical|right"
                    android:paddingLeft="@dimen/dp_15"
                    android:paddingRight="@dimen/dp_15"
                    android:singleLine="true"
                    android:textColor="@color/color_666666"
                    android:textSize="@dimen/dp_16" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/ll_history_message"
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:layout_marginTop="@dimen/dp_1"
                android:background="@color/white"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:gravity="center_vertical"
                    android:paddingLeft="@dimen/dp_15"
                    android:text="查找聊天内容"
                    android:textColor="@color/color_1a1a1a"
                    android:textSize="@dimen/dp_16" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:background="@color/transparent"
                    android:drawableEnd="@drawable/icon_arrow_right"
                    android:drawablePadding="@dimen/dp_12"
                    android:gravity="center_vertical|right"
                    android:paddingLeft="@dimen/dp_15"
                    android:paddingRight="@dimen/dp_15"
                    android:singleLine="true"
                    android:textColor="@color/color_666666"
                    android:textSize="@dimen/dp_16" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:layout_marginTop="@dimen/dp_1"
                android:background="@color/white"
                android:orientation="horizontal"
                android:visibility="gone">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:gravity="center_vertical"
                    android:paddingLeft="@dimen/dp_15"
                    android:text="我在本群的备注名"
                    android:textColor="@color/color_1a1a1a"
                    android:textSize="@dimen/dp_16" />

                <TextView
                    android:id="@+id/tv_group_member_remarks"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:background="@color/transparent"
                    android:drawableEnd="@drawable/icon_arrow_right"
                    android:drawablePadding="@dimen/dp_12"
                    android:gravity="center_vertical|right"
                    android:paddingLeft="@dimen/dp_15"
                    android:paddingRight="@dimen/dp_15"
                    android:singleLine="true"
                    android:textColor="@color/color_666666"
                    android:textSize="@dimen/dp_16" />
            </LinearLayout>




            <CheckBox
                android:id="@+id/cb_message"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_50"
                android:layout_marginTop="@dimen/dp_15"
                android:background="@color/white"
                android:button="@null"
                android:checked="true"
                android:drawableEnd="@drawable/switch_selector"
                android:paddingStart="@dimen/dp_15"
                android:paddingEnd="@dimen/dp_15"
                android:text="消息接收但不提醒"
                android:textColor="@color/color_1a1a1a"
                android:textSize="@dimen/dp_16" />


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:layout_marginTop="@dimen/dp_15"
                android:background="@color/white"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:gravity="center_vertical"
                    android:paddingLeft="@dimen/dp_15"
                    android:text="群公告"
                    android:textColor="@color/color_1a1a1a"
                    android:textSize="@dimen/dp_16" />

                <TextView
                    android:id="@+id/tv_notice"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:background="@color/transparent"
                    android:drawableEnd="@drawable/icon_arrow_right"
                    android:drawablePadding="@dimen/dp_12"
                    android:gravity="center_vertical|right"
                    android:paddingLeft="@dimen/dp_15"
                    android:paddingRight="@dimen/dp_15"
                    android:singleLine="true"
                    android:text=""
                    android:textColor="@color/color_666666"
                    android:textSize="@dimen/dp_16" />
            </LinearLayout>


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:layout_marginTop="@dimen/dp_1"
                android:background="@color/white"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:gravity="center_vertical"
                    android:paddingLeft="@dimen/dp_15"
                    android:text="举报"
                    android:textColor="@color/color_1a1a1a"
                    android:textSize="@dimen/dp_16" />

                <TextView
                    android:id="@+id/tv_feedback"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:background="@color/transparent"
                    android:drawableEnd="@drawable/icon_arrow_right"
                    android:drawablePadding="@dimen/dp_12"
                    android:gravity="center_vertical|right"
                    android:paddingLeft="@dimen/dp_15"
                    android:paddingRight="@dimen/dp_15"
                    android:singleLine="true"
                    android:text=""
                    android:textColor="@color/color_666666"
                    android:textSize="@dimen/dp_16" />
            </LinearLayout>

            <Button
                android:id="@+id/btn_confirm"
                style="?android:attr/borderlessButtonStyle"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_50"
                android:layout_marginStart="@dimen/dp_28"
                android:layout_marginTop="@dimen/dp_47"
                android:layout_marginEnd="@dimen/dp_28"
                android:layout_marginBottom="@dimen/dp_30"
                android:background="@drawable/shape_click_btn"
                android:text="发消息"
                android:textColor="@color/white"
                android:textSize="@dimen/dp_16"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/et_pwd" />

        </LinearLayout>
    </androidx.core.widget.NestedScrollView>
</LinearLayout>